=== debian/changelog ===
ompl (1.2.1+ds1-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:20:55 +0000

ompl (1.2.1+ds1-1) unstable; urgency=medium

  * New upstream version
  * Rebase patches and simplified them.  
  * Dropped dbg package and move Readme to -dev. 
    Now it's autogenerated
  * Copyright Updated. Thx decopy

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 27 Jan 2017 12:44:35 +0100
